> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get visits by visitor ID

> > 🚧 Deprecation Notice
> 
> This version of the API will **soon be deprecated** under our [API Deprecation Policy](https://dev.fingerprint.com/reference/api-deprecation-policy). The deprecation period will begin once all proxy and library integrations (both backend and frontend) are released. We will continue to provide full support for 12 months from that effective date. This notice will be updated with the **official deprecation date once it is set**. If you don’t use libraries or proxy integrations, you can use this [migration guide](https://dev.fingerprint.com/reference/migrating-from-server-api-v3-to-v4#migrating-get-visitors) to **start the transition to the new API today**.

Get a history of visits (identification events) for a specific `visitorId`. Use the `visitorId` as a URL path parameter.
Only information from the _Identification_ product is returned.

#### Headers

* `Retry-After` — Present in case of `429 Too many requests`. Indicates how long you should wait before making a follow-up request. The value is non-negative decimal integer indicating the seconds to delay after the response is received.


export const DeprecatedVersion = ({currentPath}) => <Warning>
    This version is deprecated. See the{" "}
    <a href="/reference/api-deprecation-policy">deprecation policy</a> and use
    the <a href={currentPath}>current version</a> instead.
  </Warning>;

<DeprecatedVersion currentPath="/reference/server-api-v4-search-events" />

Get a history of visits (identification events) for a specific `visitorId`. Use the `visitorId` as a URL path parameter. Only information from the *Identification* product is returned.

#### Headers

* `Retry-After` — Present in case of `429 Too many requests`. Indicates how long you should wait before making a follow-up request. The value is non-negative decimal integer indicating the seconds to delay after the response is received.


## OpenAPI

````yaml reference/fingerprint-pro-server-api.json GET /visitors/{visitor_id}
openapi: 3.0.3
info:
  title: Server API v3 (deprecated)
  description: >
    > 🚧 Deprecation Notice

    > 

    > This version of the API will **soon be deprecated** under our [API
    Deprecation
    Policy](https://dev.fingerprint.com/reference/api-deprecation-policy). The
    deprecation period will begin once all proxy and library integrations (both
    backend and frontend) are released. We will continue to provide full support
    for 12 months from that effective date. This notice will be updated with the
    **official deprecation date once it is set**. If you don’t use libraries or
    proxy integrations, you can use this [migration
    guide](https://dev.fingerprint.com/reference/migrating-from-server-api-v3-to-v4)
    to **start the transition to the new API today**.


    Fingerprint Server API allows you to search, update, and delete
    identification events in a server environment. It can be used for data
    exports, decision-making, and data analysis scenarios.

    Server API is intended for server-side usage, it's not intended to be used
    from the client side, whether it's a browser or a mobile device.
  version: '3'
  contact:
    name: Fingerprint Support
    email: support@fingerprint.com
  license:
    name: MIT
    url: >-
      https://github.com/fingerprintjs/fingerprint-pro-server-api-openapi/blob/main/LICENSE
servers:
  - url: https://api.fpjs.io
    description: Global
  - url: https://eu.api.fpjs.io
    description: EU
  - url: https://ap.api.fpjs.io
    description: Asia (Mumbai)
security:
  - ApiKeyHeader: []
  - ApiKeyQuery: []
tags:
  - name: Events
    description: >
      Retrieve or update information about individual events using the event's
      request ID.
  - name: Event Search
    description: |
      Search for events matching one or more filters.
  - name: Visitors
    description: |
      Retrieve all events of an individual visitor using their visitor ID.
  - name: Related Visitors
    description: >
      Find visitor IDs that originated from a different browser on the same
      mobile device.
paths:
  /visitors/{visitor_id}:
    get:
      tags:
        - Visitors
      summary: Get visits by visitor ID
      description: >
        > 🚧 Deprecation Notice

        > 

        > This version of the API will **soon be deprecated** under our [API
        Deprecation
        Policy](https://dev.fingerprint.com/reference/api-deprecation-policy).
        The deprecation period will begin once all proxy and library
        integrations (both backend and frontend) are released. We will continue
        to provide full support for 12 months from that effective date. This
        notice will be updated with the **official deprecation date once it is
        set**. If you don’t use libraries or proxy integrations, you can use
        this [migration
        guide](https://dev.fingerprint.com/reference/migrating-from-server-api-v3-to-v4#migrating-get-visitors)
        to **start the transition to the new API today**.


        Get a history of visits (identification events) for a specific
        `visitorId`. Use the `visitorId` as a URL path parameter.

        Only information from the _Identification_ product is returned.


        #### Headers


        * `Retry-After` — Present in case of `429 Too many requests`. Indicates
        how long you should wait before making a follow-up request. The value is
        non-negative decimal integer indicating the seconds to delay after the
        response is received.
      operationId: getVisits
      parameters:
        - name: visitor_id
          in: path
          required: true
          schema:
            type: string
          description: >-
            Unique [visitor
            identifier](https://dev.fingerprint.com/reference/get-function#visitorid)
            issued by Fingerprint Identification and all active Smart Signals.
        - name: request_id
          in: query
          schema:
            type: string
          description: >
            Filter visits by `requestId`.


            Every identification request has a unique identifier associated with
            it called `requestId`. This identifier is returned to the client in
            the identification
            [result](https://dev.fingerprint.com/reference/get-function#requestid).
            When you filter visits by `requestId`, only one visit will be
            returned.
          x-go-skip-pointer: true
        - name: linked_id
          in: query
          schema:
            type: string
          description: >
            Filter visits by your custom identifier.


            You can use
            [`linkedId`](https://dev.fingerprint.com/reference/get-function#linkedid)
            to associate identification requests with your own identifier, for
            example: session ID, purchase ID, or transaction ID. You can then
            use this `linked_id` parameter to retrieve all events associated
            with your custom identifier.
          x-go-skip-pointer: true
        - name: limit
          in: query
          schema:
            type: integer
            format: int32
            minimum: 0
          description: >
            Limit scanned results.


            For performance reasons, the API first scans some number of events
            before filtering them. Use `limit` to specify how many events are
            scanned before they are filtered by `requestId` or `linkedId`.
            Results are always returned sorted by the timestamp (most recent
            first).

            By default, the most recent 100 visits are scanned, the maximum is
            500.
          x-go-skip-pointer: true
        - name: paginationKey
          in: query
          schema:
            type: string
          description: >
            Use `paginationKey` to get the next page of results.


            When more results are available (e.g., you requested 200 results
            using `limit` parameter, but a total of 600 results are available),
            the `paginationKey` top-level attribute is added to the response.
            The key corresponds to the `requestId` of the last returned event.
            In the following request, use that value in the `paginationKey`
            parameter to get the next page of results:


            1. First request, returning most recent 200 events: `GET
            api-base-url/visitors/:visitorId?limit=200`

            2. Use `response.paginationKey` to get the next page of results:
            `GET
            api-base-url/visitors/:visitorId?limit=200&paginationKey=1683900801733.Ogvu1j`


            Pagination happens during scanning and before filtering, so you can
            get less visits than the `limit` you specified with more available
            on the next page. When there are no more results available for
            scanning, the `paginationKey` attribute is not returned.
          x-go-skip-pointer: true
        - name: before
          in: query
          deprecated: true
          schema:
            type: integer
            format: int64
            minimum: 0
          description: >
            ⚠️ Deprecated pagination method, please use `paginationKey` instead.
            Timestamp (in milliseconds since epoch) used to paginate results.
          x-go-skip-pointer: true
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisitorsGetResponse'
              examples:
                200-limit-1:
                  summary: Example response with limit=1
                  value:
                    visitorId: AcxioeQKffpXF8iGQK3P
                    visits:
                      - requestId: 1655373953086.DDlfmP
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 82.118.30.68
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 50.0805
                          longitude: 14.467
                          postalCode: 130 00
                          timezone: Europe/Prague
                          city:
                            name: Prague
                          country:
                            code: CZ
                            name: Czechia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '10'
                              name: Hlavni mesto Praha
                        timestamp: 1655373953094
                        time: '2022-06-16T10:05:53Z'
                        url: https://dashboard.fingerprint.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-16T10:03:00.912Z'
                          subscription: '2022-06-16T10:03:00.912Z'
                    lastTimestamp: 1655373953086
                    paginationKey: 1655373953086.DDlfmP
                200-limit-500:
                  summary: Example response with limit=500
                  value:
                    visitorId: AcxioeQKffpXF8iGQK3P
                    visits:
                      - requestId: 1655373780901.HhjRFX
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 188.242.36.107
                        ipLocation:
                          accuracyRadius: 5
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1655373780912
                        time: '2022-06-16T10:03:00Z'
                        url: https://fingerprint.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-16T05:27:30.578Z'
                          subscription: '2022-06-16T05:27:30.578Z'
                      - requestId: 1655357250568.vqejDF
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 82.118.30.62
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 50.0805
                          longitude: 14.467
                          postalCode: 130 00
                          timezone: Europe/Prague
                          city:
                            name: Prague
                          country:
                            code: CZ
                            name: Czechia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '10'
                              name: Hlavni mesto Praha
                        timestamp: 1655357250578
                        time: '2022-06-16T05:27:30Z'
                        url: https://fingerprint.com/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-15T15:28:33.479Z'
                          subscription: '2022-06-15T15:28:33.479Z'
                      - requestId: 1655306913474.kFQsQx
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 82.118.30.68
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 50.0805
                          longitude: 14.467
                          postalCode: 130 00
                          timezone: Europe/Prague
                          city:
                            name: Prague
                          country:
                            code: CZ
                            name: Czechia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '10'
                              name: Hlavni mesto Praha
                        timestamp: 1655306913479
                        time: '2022-06-15T15:28:33Z'
                        url: https://fingerprint.com/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-15T08:47:34.677Z'
                          subscription: '2022-06-15T08:47:34.677Z'
                      - requestId: 1655282854672.vz4ZlN
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 82.118.30.91
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 50.0805
                          longitude: 14.467
                          postalCode: 130 00
                          timezone: Europe/Prague
                          city:
                            name: Prague
                          country:
                            code: CZ
                            name: Czechia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '10'
                              name: Hlavni mesto Praha
                        timestamp: 1655282854677
                        time: '2022-06-15T08:47:34Z'
                        url: https://fingerprint.com/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-14T14:19:42.753Z'
                          subscription: '2022-06-14T14:19:42.753Z'
                      - requestId: 1655216382743.RDRa4h
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 188.242.36.107
                        ipLocation:
                          accuracyRadius: 5
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1655216382753
                        time: '2022-06-14T14:19:42Z'
                        url: https://fingerprint.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-13T07:53:19.878Z'
                          subscription: '2022-06-13T07:53:19.878Z'
                      - requestId: 1655106799870.C8m8hR
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 45.86.200.137
                        timestamp: 1655106799878
                        time: '2022-06-13T07:53:19Z'
                        url: https://fingerprint.com/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-07T12:54:35.413Z'
                          subscription: '2022-06-07T12:54:35.413Z'
                      - requestId: 1654606475406.2uXCJx
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 89.38.224.157
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                        timestamp: 1654606475413
                        time: '2022-06-07T12:54:35Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-07T09:37:57.43Z'
                          subscription: '2022-06-07T09:37:57.43Z'
                      - requestId: 1654594677423.pCHmKJ
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 188.242.36.107
                        ipLocation:
                          timezone: Europe/Moscow
                        timestamp: 1654594677430
                        time: '2022-06-07T09:37:57Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-07T09:37:50.109Z'
                          subscription: '2022-06-07T09:37:50.109Z'
                      - requestId: 1654594670097.Lmodmj
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 188.242.36.107
                        ipLocation:
                          accuracyRadius: 5
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1654594670109
                        time: '2022-06-07T09:37:50Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-07T08:31:31.9Z'
                          subscription: '2022-06-07T08:31:31.9Z'
                      - requestId: 1654590691894.aCYqYE
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 188.242.36.107
                        ipLocation:
                          accuracyRadius: 5
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1654590691900
                        time: '2022-06-07T08:31:31Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-06T09:05:25.954Z'
                          subscription: '2022-06-06T09:05:25.954Z'
                      - requestId: 1654506325946.ijIwzu
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1654506325954
                        time: '2022-06-06T09:05:25Z'
                        url: https://fingerprintcom.netlify.app/blog/name-change/
                        tag: {}
                        confidence:
                          score: 0.99
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-02T16:58:53.635Z'
                          subscription: '2022-06-02T16:58:53.635Z'
                      - requestId: 1654189133629.0V1gtF
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1654189133635
                        time: '2022-06-02T16:58:53Z'
                        url: https://fingerprintcom.netlify.app/blog/name-change/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-06-02T16:58:51.483Z'
                          subscription: '2022-06-02T16:58:51.483Z'
                      - requestId: 1654189131472.r49Bbh
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '102'
                          browserFullVersion: 102.0.5005
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/102.0.5005.61 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1654189131483
                        time: '2022-06-02T16:58:51Z'
                        url: https://fingerprintcom.netlify.app/
                        tag: {}
                        confidence:
                          score: 0.95
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-27T14:52:26.624Z'
                          subscription: '2022-05-27T14:52:26.624Z'
                      - requestId: 1653663146617.o8KpJO
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.64 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1653663146624
                        time: '2022-05-27T14:52:26Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-20T09:50:06.7Z'
                          subscription: '2022-05-20T09:50:06.7Z'
                      - requestId: 1653040206694.Q5Csig
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.54 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1653040206700
                        time: '2022-05-20T09:50:06Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-19T16:27:38.029Z'
                          subscription: '2022-05-19T16:27:38.029Z'
                      - requestId: 1652977658020.xbfYhA
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.54 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1652977658029
                        time: '2022-05-19T16:27:38Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-17T15:09:32.666Z'
                          subscription: '2022-05-17T15:09:32.666Z'
                      - requestId: 1652800172657.xA22Pd
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.54 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1652800172666
                        time: '2022-05-17T15:09:32Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-17T14:18:17.631Z'
                          subscription: '2022-05-17T14:18:17.631Z'
                      - requestId: 1652797097626.faAMJO
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.54 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1652797097631
                        time: '2022-05-17T14:18:17Z'
                        url: https://fingerprintjs.com/careers/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-17T10:16:04.809Z'
                          subscription: '2022-05-17T10:16:04.809Z'
                      - requestId: 1652782564800.MWH0GO
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.54 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1652782564809
                        time: '2022-05-17T10:16:04Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-16T06:47:01.511Z'
                          subscription: '2022-05-16T06:47:01.511Z'
                      - requestId: 1652683621505.1tOjuc
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.54 Safari/537.36
                        incognito: false
                        ip: 217.150.54.233
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1652683621511
                        time: '2022-05-16T06:47:01Z'
                        url: https://fingerprintjs.com/products/bot-detection/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-16T06:45:49.586Z'
                          subscription: '2022-05-16T06:45:49.586Z'
                      - requestId: 1652683586557.67Faeg
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.54 Safari/537.36
                        incognito: true
                        ip: 217.150.54.233
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1652683586562
                        time: '2022-05-16T06:46:26Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 0.94
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-16T06:45:49.586Z'
                          subscription: '2022-05-16T06:45:49.586Z'
                      - requestId: 1652683549513.aVRqEP
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '101'
                          browserFullVersion: 101.0.4951
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/101.0.4951.54 Safari/537.36
                        incognito: false
                        ip: 217.150.54.233
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1652683549586
                        time: '2022-05-16T06:45:49Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-05T10:11:25.96Z'
                          subscription: '2022-05-05T10:11:25.96Z'
                      - requestId: 1651745485951.Oj68me
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1651745485960
                        time: '2022-05-05T10:11:25Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-05T09:33:40.155Z'
                          subscription: '2022-05-05T09:33:40.155Z'
                      - requestId: 1651743220004.W02rhx
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1651743220155
                        time: '2022-05-05T09:33:40Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-05-03T15:26:32.826Z'
                          subscription: '2022-05-03T15:26:32.826Z'
                      - requestId: 1651591592822.Is9u93
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 89.38.224.157
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1651591592826
                        time: '2022-05-03T15:26:32Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-29T13:23:37.049Z'
                          subscription: '2022-04-29T13:23:37.049Z'
                      - requestId: 1651238617044.rMVPGS
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 89.38.224.165
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 44.804
                          longitude: 20.4651
                          timezone: Europe/Belgrade
                          city:
                            name: Belgrade
                          country:
                            code: RS
                            name: Serbia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: '00'
                              name: Belgrade
                        timestamp: 1651238617049
                        time: '2022-04-29T13:23:37Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-29T10:37:53.333Z'
                          subscription: '2022-04-29T10:37:53.333Z'
                      - requestId: 1651228673329.QZI2Cu
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 188.242.36.107
                        ipLocation:
                          accuracyRadius: 5
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1651228673333
                        time: '2022-04-29T10:37:53Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-28T13:58:06.323Z'
                          subscription: '2022-04-28T13:58:06.323Z'
                      - requestId: 1651154286221.YvuOCP
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 84.247.59.113
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 50.0971
                          longitude: 8.5952
                          postalCode: '65933'
                          timezone: Europe/Berlin
                          city:
                            name: Frankfurt am Main
                          country:
                            code: DE
                            name: Germany
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: HE
                              name: Hesse
                        timestamp: 1651154286323
                        time: '2022-04-28T13:58:06Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-28T12:16:02.564Z'
                          subscription: '2022-04-28T12:16:02.564Z'
                      - requestId: 1651148162556.dySgif
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 84.247.59.113
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 50.0971
                          longitude: 8.5952
                          postalCode: '65933'
                          timezone: Europe/Berlin
                          city:
                            name: Frankfurt am Main
                          country:
                            code: DE
                            name: Germany
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: HE
                              name: Hesse
                        timestamp: 1651148162564
                        time: '2022-04-28T12:16:02Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-28T11:57:13.267Z'
                          subscription: '2022-04-28T11:57:13.267Z'
                      - requestId: 1651147033260.SxmFvL
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 84.247.59.146
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 50.0971
                          longitude: 8.5952
                          postalCode: '65933'
                          timezone: Europe/Berlin
                          city:
                            name: Frankfurt am Main
                          country:
                            code: DE
                            name: Germany
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: HE
                              name: Hesse
                        timestamp: 1651147033267
                        time: '2022-04-28T11:57:13Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-28T11:57:06.24Z'
                          subscription: '2022-04-28T11:57:06.24Z'
                      - requestId: 1651147026139.aAZ8TO
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 84.247.59.146
                        ipLocation:
                          accuracyRadius: 20
                          latitude: 50.0971
                          longitude: 8.5952
                          postalCode: '65933'
                          timezone: Europe/Berlin
                          city:
                            name: Frankfurt am Main
                          country:
                            code: DE
                            name: Germany
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: HE
                              name: Hesse
                        timestamp: 1651147026240
                        time: '2022-04-28T11:57:06Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-26T14:10:31.908Z'
                          subscription: '2022-04-26T14:10:31.908Z'
                      - requestId: 1650982231903.eG0b6v
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.105
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650982231908
                        time: '2022-04-26T14:10:31Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-26T11:43:37.373Z'
                          subscription: '2022-04-26T11:43:37.373Z'
                      - requestId: 1650973417360.xupFFD
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.99
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650973417373
                        time: '2022-04-26T11:43:37Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-26T11:43:30.111Z'
                          subscription: '2022-04-26T11:43:30.111Z'
                      - requestId: 1650973410104.AQD4qu
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.99
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650973410111
                        time: '2022-04-26T11:43:30Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-26T11:22:34.148Z'
                          subscription: '2022-04-26T11:22:34.148Z'
                      - requestId: 1650972154133.lSWE8a
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.96
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650972154148
                        time: '2022-04-26T11:22:34Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-26T11:22:03.83Z'
                          subscription: '2022-04-26T11:22:03.83Z'
                      - requestId: 1650972123824.xk8MUR
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.96
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650972123830
                        time: '2022-04-26T11:22:03Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-25T09:46:15.458Z'
                          subscription: '2022-04-25T09:46:15.458Z'
                      - requestId: 1650879975452.kfuowM
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 188.242.36.107
                        ipLocation:
                          accuracyRadius: 5
                          latitude: 59.8983
                          longitude: 30.2618
                          postalCode: '190924'
                          timezone: Europe/Moscow
                          city:
                            name: St Petersburg
                          country:
                            code: RU
                            name: Russia
                          continent:
                            code: EU
                            name: Europe
                          subdivisions:
                            - isoCode: SPE
                              name: St.-Petersburg
                        timestamp: 1650879975458
                        time: '2022-04-25T09:46:15Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-22T16:51:44.816Z'
                          subscription: '2022-04-22T16:51:44.816Z'
                      - requestId: 1650646304808.xQbAju
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.227
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650646304816
                        time: '2022-04-22T16:51:44Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-21T11:43:33.116Z'
                          subscription: '2022-04-21T11:43:33.116Z'
                      - requestId: 1650541413105.leAPLz
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.89
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650541413116
                        time: '2022-04-21T11:43:33Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-20T17:11:54.717Z'
                          subscription: '2022-04-20T17:11:54.717Z'
                      - requestId: 1650474714710.M1IGsl
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.111
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650474714717
                        time: '2022-04-20T17:11:54Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-20T17:11:47.217Z'
                          subscription: '2022-04-20T17:11:47.217Z'
                      - requestId: 1650474707211.CEUuZk
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.111
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650474707217
                        time: '2022-04-20T17:11:47Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-20T17:11:12.076Z'
                          subscription: '2022-04-20T17:11:12.076Z'
                      - requestId: 1650474672071.Pz4WsK
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.111
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650474672076
                        time: '2022-04-20T17:11:12Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-19T12:29:06.692Z'
                          subscription: '2022-04-19T12:29:06.692Z'
                      - requestId: 1650371346684.1d7sgv
                        browserDetails:
                          browserName: Chrome Mobile
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Android
                          osVersion: '6.0'
                          device: Nexus 5
                          userAgent: >-
                            Mozilla/5.0 (Linux; Android 6.0; Nexus 5
                            Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Mobile Safari/537.36
                        incognito: false
                        ip: 45.86.200.198
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650371346692
                        time: '2022-04-19T12:29:06Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-19T12:29:02.15Z'
                          subscription: '2022-04-19T12:29:02.15Z'
                      - requestId: 1650371342145.oWyfRx
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.198
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650371342150
                        time: '2022-04-19T12:29:02Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-19T11:35:14.729Z'
                          subscription: '2022-04-19T11:35:14.729Z'
                      - requestId: 1650368114723.YEXcHI
                        browserDetails:
                          browserName: Chrome
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Mac OS X
                          osVersion: 10.15.7
                          device: Other
                          userAgent: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                            AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Safari/537.36
                        incognito: false
                        ip: 45.86.200.206
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650368114729
                        time: '2022-04-19T11:35:14Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
                        lastSeenAt:
                          global: '2022-04-19T11:13:33.107Z'
                          subscription: '2022-04-19T11:13:33.107Z'
                      - requestId: 1650366813101.SvUZC1
                        browserDetails:
                          browserName: Chrome Mobile
                          browserMajorVersion: '100'
                          browserFullVersion: 100.0.4896
                          os: Android
                          osVersion: '6.0'
                          device: Nexus 5
                          userAgent: >-
                            Mozilla/5.0 (Linux; Android 6.0; Nexus 5
                            Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko)
                            Chrome/100.0.4896.127 Mobile Safari/537.36
                        incognito: false
                        ip: 45.86.200.204
                        ipLocation:
                          accuracyRadius: 1000
                          latitude: 52.3824
                          longitude: 4.8995
                          timezone: Europe/Amsterdam
                          country:
                            code: NL
                            name: Netherlands
                          continent:
                            code: EU
                            name: Europe
                        timestamp: 1650366813107
                        time: '2022-04-19T11:13:33Z'
                        url: https://fingerprintjs.com/
                        tag: {}
                        confidence:
                          score: 1
                        visitorFound: true
                        firstSeenAt:
                          global: '2022-02-04T11:31:20Z'
                          subscription: '2022-02-04T11:31:20Z'
[...]
